Bug 1013836 - Review Request: scorep - Scalable Performance Measurement Infrastructure for Parallel Codes
Review Request: scorep - Scalable Performance Measurement Infrastructure for ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mukundan Ragavan
Fedora Extras Quality Assurance
:
Depends On: 1012696 1013037 1013095
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 17:45 EDT by Orion Poplawski
Modified: 2015-02-22 15:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-15 22:39:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nonamedotc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
build_log_2014-03-10 (1.38 MB, text/plain)
2014-03-10 17:54 EDT, Mukundan Ragavan
no flags Details
rpmlint output (445.74 KB, text/plain)
2014-12-10 20:58 EST, Mukundan Ragavan
no flags Details

  None (edit)
Description Orion Poplawski 2013-09-30 17:45:27 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/scorep.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/scorep-1.2.1-1.fc19.src.rpm
Description: 
The Score-P (Scalable Performance Measurement Infrastructure for
Parallel Codes) measurement infrastructure is a highly scalable and
easy-to-use tool suite for profiling, event trace recording, and
online analysis of HPC applications.

Fedora Account System Username: orion

Score-P acts like a compiler, which is why it does not have a -devel sub-package.  All headers and libraries are needed to run scorep.
Comment 1 Orion Poplawski 2013-12-17 15:37:57 EST
Spec URL: http://www.cora.nwra.com/~orion/fedora/scorep.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/scorep-1.2.2-1.fc19.src.rpm

* Tue Dec 17 2013 Orion Poplawski <orion@cora.nwra.com> - 1.2.2-1
- Update to 1.2.2
- Drop path patch fixed upstream
- Drop rpath issue fixes, fixed upstream
Comment 3 Orion Poplawski 2014-03-04 18:33:34 EST
Spec URL: http://www.cora.nwra.com/~orion/fedora/scorep.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/scorep-1.2.3-2.fc20.src.rpm

* Tue Mar 4 2014 Orion Poplawski <orion@cora.nwra.com> - 1.2.3-2
- Split out runtime libraries in libs sub-packages
- Fix doc duplication
- Use chrpath to remove rpaths
Comment 4 Mukundan Ragavan 2014-03-04 18:40:12 EST
I will do this review in a couple of days.
Comment 5 Orion Poplawski 2014-03-04 18:43:57 EST
So, these packages generate about 128 rpmlint errors, and 2316 warnings.  Yowza!

But, e.g.:

scorep-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libscorep_adapter_pomp_mgmt.so.1.0.3 SCOREP_Filter_Match

The scorep build system automatically handles adding the appropriate link flags, so this is not strictly needed for scorep to work.

--

scorep-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libscorep_adapter_pomp_mgmt.so.1.0.3 exit@GLIBC_2.2.5

Upstream response:

Here it is not always possible for the user to evaluate return codes. E.g., when
using compiler instrumentation, function calls that possibly fail are inserted by the compiler. There is no way the user can handle this.

--

scorep-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libscorep_adapter_pomp_omp_mgm
t_mockup.so

scorep is essentially a compiler, so it does not make sense to have a -devel sub-package.

-- 

scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_adapter_utils.so.1.0.3

These are not in the linker path, so it does not make sense to run ldconfig.  Handled by environment-modules.

--

scorep-mpich.x86_64: E: rpath-in-buildconfig /usr/lib64/mpich/bin/scorep-config lines ['134']

Yes, the string -rpath occurs in this file.  This is expected and needed.

--  

scorep.x86_64: E: devel-dependency binutils-devel

This is needed to build with scorep.

--

I'll try to fix the unused-direct-shlib-dependency warnings.
Comment 6 Mukundan Ragavan 2014-03-04 18:52:38 EST
(In reply to Orion Poplawski from comment #5)
> So, these packages generate about 128 rpmlint errors, and 2316 warnings. 
> Yowza!
> 

Ok, so it looks like it will really take two days to wade through all the warnings! ha ha!
Comment 7 Orion Poplawski 2014-03-05 11:45:02 EST
Even the unused-direct-shlib-dependency warnings seem like too much of a hassle to try to fix.  I'm not sure upstream will be interested either.
Comment 8 Mukundan Ragavan 2014-03-10 17:53:27 EDT
hmmm .... package did not build. :(

From the build.log (full log attached)

================================================

+ make -j8
make  all-recursive
make[1]: Entering directory `/builddir/build/BUILD/scorep-1.2.3/openmpi'
Making all in build-score
make[2]: Entering directory `/builddir/build/BUILD/scorep-1.2.3/openmpi/build-score'
make  all-am
make[3]: Entering directory `/builddir/build/BUILD/scorep-1.2.3/openmpi/build-score'
  CC     libscorep_filter_la-scorep_filter_parser.lo
  CC     libscorep_filter_la-scorep_filter_matching.lo
  CC     libutils_cstr_la-UTILS_CStr.lo
  CC     libutils_io_la-UTILS_IO_Tools.lo
  CC     libutils_io_la-UTILS_IO_GetExe.lo
  CC     libutils_exception_la-UTILS_Debug.lo
  CC     libutils_exception_la-UTILS_Error.lo
  CXX    scorep_score-scorep_score.o
  CXX    scorep_score-SCOREP_Score_Estimator.o
  CXX    scorep_score-SCOREP_Score_Group.o
  CXX    scorep_score-SCOREP_Score_Profile.o
  CXX    scorep_score-SCOREP_Score_Types.o
  CCLD   libutils_cstr.la
  CCLD   libutils_exception.la
../../build-score/../vendor/common/src/utils/io/UTILS_IO_Tools.c: In function 'SCOREP_UTILS_IO_JoinPath':
../../build-score/../vendor/common/src/utils/io/UTILS_IO_Tools.c:284:9: warning: unused variable 'i' [-Wunused-variable]
     int         i;
         ^
  CCLD   libscorep_filter.la
  CCLD   libutils_io.la
  CCLD   libutils.la
../../build-score/../src/tools/score/SCOREP_Score_Estimator.cpp: In member function 'void SCOREP_Score_Estimator::delete_groups(SCOREP_Score_Group**, uint64_t)':
../../build-score/../src/tools/score/SCOREP_Score_Estimator.cpp:156:30: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
         for ( int i = 0; i < num; i++ )
                              ^
../../build-score/../src/tools/score/SCOREP_Score_Estimator.cpp: In member function 'void SCOREP_Score_Estimator::PrintGroups()':
../../build-score/../src/tools/score/SCOREP_Score_Estimator.cpp:410:26: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
     for ( int i = 0; i < SCOREP_SCORE_TYPE_NUM; i++ )
                          ^
../../build-score/../src/tools/score/SCOREP_Score_Estimator.cpp:420:30: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
         for ( int i = 0; i < SCOREP_SCORE_TYPE_NUM; i++ )
                              ^
../../build-score/../src/tools/score/SCOREP_Score_Estimator.cpp: In member function 'void SCOREP_Score_Estimator::PrintRegions()':
../../build-score/../src/tools/score/SCOREP_Score_Estimator.cpp:434:26: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
     for ( int i = 0; i < m_region_num; i++ )
                          ^
../../build-score/../src/tools/score/SCOREP_Score_Profile.cpp: In member function 'void SCOREP_Score_Profile::Print()':
../../build-score/../src/tools/score/SCOREP_Score_Profile.cpp:177:22: warning: unused variable 'process' [-Wunused-variable]
     uint64_t region, process;
                      ^
  CXXLD  scorep-score
make[3]: Leaving directory `/builddir/build/BUILD/scorep-1.2.3/openmpi/build-score'
make[2]: Leaving directory `/builddir/build/BUILD/scorep-1.2.3/openmpi/build-score'
Making all in build-mpi
make[2]: Entering directory `/builddir/build/BUILD/scorep-1.2.3/openmpi/build-mpi'
make  all-am
make[3]: Entering directory `/builddir/build/BUILD/scorep-1.2.3/openmpi/build-mpi'
\
#	source='../src/adapters/mpi/scorep_mpi_init.c' object='libscorep_adapter_mpi_mgmt_la-scorep_mpi_init.lo' libtool=yes 
\
#	source='../src/adapters/mpi/scorep_mpi_communicator_mgmt.c' object='libscorep_adapter_mpi_mgmt_la-scorep_mpi_communicator_mgmt.lo' libtool=yes 
\
#	source='../src/adapters/mpi/SCOREP_Mpi_Reg.c' object='libscorep_adapter_mpi_mgmt_la-SCOREP_Mpi_Reg.lo' libtool=yes 
/bin/sh ./libtool  --tag=CC   --mode=compile mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src  -I../../build-mpi/../src -DBACKEND_BUILD_MPI  -DNOCROSS_BUILD -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -I../../build-mpi/../src/measurement/include -I../../build-mpi/../include   -g -O2 -c -o libscorep_adapter_mpi_mgmt_la-scorep_mpi_init.lo `test -f '../src/adapters/mpi/scorep_mpi_init.c' || echo '../../build-mpi/'`../src/adapters/mpi/scorep_mpi_init.c
/bin/sh ./libtool  --tag=CC   --mode=compile mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src  -I../../build-mpi/../src -DBACKEND_BUILD_MPI  -DNOCROSS_BUILD -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -I../../build-mpi/../src/measurement/include -I../../build-mpi/../include   -g -O2 -c -o libscorep_adapter_mpi_mgmt_la-scorep_mpi_communicator_mgmt.lo `test -f '../src/adapters/mpi/scorep_mpi_communicator_mgmt.c' || echo '../../build-mpi/'`../src/adapters/mpi/scorep_mpi_communicator_mgmt.c
\
#	source='../src/adapters/mpi/SCOREP_Fmpi_Mgmt.c' object='libscorep_adapter_mpi_mgmt_fortran_sub1_la-SCOREP_Fmpi_Mgmt.lo' libtool=yes 
/bin/sh ./libtool  --tag=CC   --mode=compile mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src  -I../../build-mpi/../src -DBACKEND_BUILD_MPI  -DNOCROSS_BUILD -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -I../../build-mpi/../src/measurement/include -I../../build-mpi/../include   -g -O2 -c -o libscorep_adapter_mpi_mgmt_la-SCOREP_Mpi_Reg.lo `test -f '../src/adapters/mpi/SCOREP_Mpi_Reg.c' || echo '../../build-mpi/'`../src/adapters/mpi/SCOREP_Mpi_Reg.c
\
#	source='../src/adapters/mpi/SCOREP_Fmpi_Mgmt.c' object='libscorep_adapter_mpi_mgmt_fortran_sub2_la-SCOREP_Fmpi_Mgmt.lo' libtool=yes 
\
#	source='../src/adapters/mpi/SCOREP_Fmpi_Mgmt.c' object='libscorep_adapter_mpi_mgmt_fortran_sub3_la-SCOREP_Fmpi_Mgmt.lo' libtool=yes 
\
#	source='../src/adapters/mpi/SCOREP_Fmpi_Mgmt.c' object='libscorep_adapter_mpi_mgmt_fortran_sub4_la-SCOREP_Fmpi_Mgmt.lo' libtool=yes 
/bin/sh ./libtool  --tag=CC   --mode=compile mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src  -I../../build-mpi/../src -DBACKEND_BUILD_MPI  -DNOCROSS_BUILD -I../../build-mpi/../src/adapters/include -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -DFSUB=SCOREP_FORTRAN_SUB1   -g -O2 -c -o libscorep_adapter_mpi_mgmt_fortran_sub1_la-SCOREP_Fmpi_Mgmt.lo `test -f '../src/adapters/mpi/SCOREP_Fmpi_Mgmt.c' || echo '../../build-mpi/'`../src/adapters/mpi/SCOREP_Fmpi_Mgmt.c
/bin/sh ./libtool  --tag=CC   --mode=compile mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src  -I../../build-mpi/../src -DBACKEND_BUILD_MPI  -DNOCROSS_BUILD -I../../build-mpi/../src/adapters/include -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -DFSUB=SCOREP_FORTRAN_SUB2   -g -O2 -c -o libscorep_adapter_mpi_mgmt_fortran_sub2_la-SCOREP_Fmpi_Mgmt.lo `test -f '../src/adapters/mpi/SCOREP_Fmpi_Mgmt.c' || echo '../../build-mpi/'`../src/adapters/mpi/SCOREP_Fmpi_Mgmt.c
/bin/sh ./libtool  --tag=CC   --mode=compile mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src  -I../../build-mpi/../src -DBACKEND_BUILD_MPI  -DNOCROSS_BUILD -I../../build-mpi/../src/adapters/include -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -DFSUB=SCOREP_FORTRAN_SUB3   -g -O2 -c -o libscorep_adapter_mpi_mgmt_fortran_sub3_la-SCOREP_Fmpi_Mgmt.lo `test -f '../src/adapters/mpi/SCOREP_Fmpi_Mgmt.c' || echo '../../build-mpi/'`../src/adapters/mpi/SCOREP_Fmpi_Mgmt.c
/bin/sh ./libtool  --tag=CC   --mode=compile mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src  -I../../build-mpi/../src -DBACKEND_BUILD_MPI  -DNOCROSS_BUILD -I../../build-mpi/../src/adapters/include -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -DFSUB=SCOREP_FORTRAN_SUB4   -g -O2 -c -o libscorep_adapter_mpi_mgmt_fortran_sub4_la-SCOREP_Fmpi_Mgmt.lo `test -f '../src/adapters/mpi/SCOREP_Fmpi_Mgmt.c' || echo '../../build-mpi/'`../src/adapters/mpi/SCOREP_Fmpi_Mgmt.c
\
/bin/sh ./libtool  --tag=F77   --mode=compile mpif77  -g -O2 -c -o libscorep_adapter_mpi_fortran_conv_la-SCOREP_Fmpi_Init.lo `test -f '../src/adapters/mpi/SCOREP_Fmpi_Init.f' || echo '../../build-mpi/'`../src/adapters/mpi/SCOREP_Fmpi_Init.f
libtool: compile:  mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src -I../../build-mpi/../src -DBACKEND_BUILD_MPI -DNOCROSS_BUILD -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -I../../build-mpi/../src/measurement/include -I../../build-mpi/../include -g -O2 -c ../../build-mpi/../src/adapters/mpi/scorep_mpi_communicator_mgmt.c  -fPIC -DPIC -o .libs/libscorep_adapter_mpi_mgmt_la-scorep_mpi_communicator_mgmt.o
libtool: compile:  mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src -I../../build-mpi/../src -DBACKEND_BUILD_MPI -DNOCROSS_BUILD -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -I../../build-mpi/../src/measurement/include -I../../build-mpi/../include -g -O2 -c ../../build-mpi/../src/adapters/mpi/scorep_mpi_init.c  -fPIC -DPIC -o .libs/libscorep_adapter_mpi_mgmt_la-scorep_mpi_init.o
libtool: compile:  mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src -I../../build-mpi/../src -DBACKEND_BUILD_MPI -DNOCROSS_BUILD -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -I../../build-mpi/../src/measurement/include -I../../build-mpi/../include -g -O2 -c ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Reg.c  -fPIC -DPIC -o .libs/libscorep_adapter_mpi_mgmt_la-SCOREP_Mpi_Reg.o
libtool: compile:  mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src -I../../build-mpi/../src -DBACKEND_BUILD_MPI -DNOCROSS_BUILD -I../../build-mpi/../src/adapters/include -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -DFSUB=SCOREP_FORTRAN_SUB1 -g -O2 -c ../../build-mpi/../src/adapters/mpi/SCOREP_Fmpi_Mgmt.c  -fPIC -DPIC -o .libs/libscorep_adapter_mpi_mgmt_fortran_sub1_la-SCOREP_Fmpi_Mgmt.o
libtool: compile:  mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src -I../../build-mpi/../src -DBACKEND_BUILD_MPI -DNOCROSS_BUILD -I../../build-mpi/../src/adapters/include -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -DFSUB=SCOREP_FORTRAN_SUB2 -g -O2 -c ../../build-mpi/../src/adapters/mpi/SCOREP_Fmpi_Mgmt.c  -fPIC -DPIC -o .libs/libscorep_adapter_mpi_mgmt_fortran_sub2_la-SCOREP_Fmpi_Mgmt.o
libtool: compile:  mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src -I../../build-mpi/../src -DBACKEND_BUILD_MPI -DNOCROSS_BUILD -I../../build-mpi/../src/adapters/include -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -DFSUB=SCOREP_FORTRAN_SUB4 -g -O2 -c ../../build-mpi/../src/adapters/mpi/SCOREP_Fmpi_Mgmt.c  -fPIC -DPIC -o .libs/libscorep_adapter_mpi_mgmt_fortran_sub4_la-SCOREP_Fmpi_Mgmt.o
libtool: compile:  mpif77 -g -O2 -c ../../build-mpi/../src/adapters/mpi/SCOREP_Fmpi_Init.f  -fPIC -o .libs/libscorep_adapter_mpi_fortran_conv_la-SCOREP_Fmpi_Init.o
libtool: compile:  mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src -I../../build-mpi/../src -DBACKEND_BUILD_MPI -DNOCROSS_BUILD -I../../build-mpi/../src/adapters/include -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -DFSUB=SCOREP_FORTRAN_SUB3 -g -O2 -c ../../build-mpi/../src/adapters/mpi/SCOREP_Fmpi_Mgmt.c  -fPIC -DPIC -o .libs/libscorep_adapter_mpi_mgmt_fortran_sub3_la-SCOREP_Fmpi_Mgmt.o
\
#	source='../src/adapters/mpi/SCOREP_Mpi_Cg.c' object='libscorep_adapter_mpi_c_event_la-SCOREP_Mpi_Cg.lo' libtool=yes 
/bin/sh ./libtool  --tag=CC   --mode=compile mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src  -I../../build-mpi/../src -DBACKEND_BUILD_MPI  -DNOCROSS_BUILD -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -I../../build-mpi/../src/adapters/include -I../../build-mpi/../src/measurement/include -I../../build-mpi/../src/measurement/online_access -I../../build-mpi/../include   -g -O2 -c -o libscorep_adapter_mpi_c_event_la-SCOREP_Mpi_Cg.lo `test -f '../src/adapters/mpi/SCOREP_Mpi_Cg.c' || echo '../../build-mpi/'`../src/adapters/mpi/SCOREP_Mpi_Cg.c
\
#	source='../src/adapters/mpi/SCOREP_Mpi_Coll.c' object='libscorep_adapter_mpi_c_event_la-SCOREP_Mpi_Coll.lo' libtool=yes 
/bin/sh ./libtool  --tag=CC   --mode=compile mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src  -I../../build-mpi/../src -DBACKEND_BUILD_MPI  -DNOCROSS_BUILD -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -I../../build-mpi/../src/adapters/include -I../../build-mpi/../src/measurement/include -I../../build-mpi/../src/measurement/online_access -I../../build-mpi/../include   -g -O2 -c -o libscorep_adapter_mpi_c_event_la-SCOREP_Mpi_Coll.lo `test -f '../src/adapters/mpi/SCOREP_Mpi_Coll.c' || echo '../../build-mpi/'`../src/adapters/mpi/SCOREP_Mpi_Coll.c
\
#	source='../src/adapters/mpi/SCOREP_Mpi_Env.c' object='libscorep_adapter_mpi_c_event_la-SCOREP_Mpi_Env.lo' libtool=yes 
/bin/sh ./libtool  --tag=CC   --mode=compile mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src  -I../../build-mpi/../src -DBACKEND_BUILD_MPI  -DNOCROSS_BUILD -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -I../../build-mpi/../src/adapters/include -I../../build-mpi/../src/measurement/include -I../../build-mpi/../src/measurement/online_access -I../../build-mpi/../include   -g -O2 -c -o libscorep_adapter_mpi_c_event_la-SCOREP_Mpi_Env.lo `test -f '../src/adapters/mpi/SCOREP_Mpi_Env.c' || echo '../../build-mpi/'`../src/adapters/mpi/SCOREP_Mpi_Env.c
\
#	source='../src/adapters/mpi/SCOREP_Mpi_Err.c' object='libscorep_adapter_mpi_c_event_la-SCOREP_Mpi_Err.lo' libtool=yes 
/bin/sh ./libtool  --tag=CC   --mode=compile mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src  -I../../build-mpi/../src -DBACKEND_BUILD_MPI  -DNOCROSS_BUILD -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -I../../build-mpi/../src/adapters/include -I../../build-mpi/../src/measurement/include -I../../build-mpi/../src/measurement/online_access -I../../build-mpi/../include   -g -O2 -c -o libscorep_adapter_mpi_c_event_la-SCOREP_Mpi_Err.lo `test -f '../src/adapters/mpi/SCOREP_Mpi_Err.c' || echo '../../build-mpi/'`../src/adapters/mpi/SCOREP_Mpi_Err.c
\
#	source='../src/adapters/mpi/SCOREP_Mpi_Ext.c' object='libscorep_adapter_mpi_c_event_la-SCOREP_Mpi_Ext.lo' libtool=yes 
/bin/sh ./libtool  --tag=CC   --mode=compile mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src  -I../../build-mpi/../src -DBACKEND_BUILD_MPI  -DNOCROSS_BUILD -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -I../../build-mpi/../src/adapters/include -I../../build-mpi/../src/measurement/include -I../../build-mpi/../src/measurement/online_access -I../../build-mpi/../include   -g -O2 -c -o libscorep_adapter_mpi_c_event_la-SCOREP_Mpi_Ext.lo `test -f '../src/adapters/mpi/SCOREP_Mpi_Ext.c' || echo '../../build-mpi/'`../src/adapters/mpi/SCOREP_Mpi_Ext.c
libtool: compile:  mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src -I../../build-mpi/../src -DBACKEND_BUILD_MPI -DNOCROSS_BUILD -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -I../../build-mpi/../src/adapters/include -I../../build-mpi/../src/measurement/include -I../../build-mpi/../src/measurement/online_access -I../../build-mpi/../include -g -O2 -c ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Cg.c  -fPIC -DPIC -o .libs/libscorep_adapter_mpi_c_event_la-SCOREP_Mpi_Cg.o
libtool: compile:  mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src -I../../build-mpi/../src -DBACKEND_BUILD_MPI -DNOCROSS_BUILD -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -I../../build-mpi/../src/adapters/include -I../../build-mpi/../src/measurement/include -I../../build-mpi/../src/measurement/online_access -I../../build-mpi/../include -g -O2 -c ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c  -fPIC -DPIC -o .libs/libscorep_adapter_mpi_c_event_la-SCOREP_Mpi_Coll.o
\
#	source='../src/adapters/mpi/SCOREP_Mpi_Io.c' object='libscorep_adapter_mpi_c_event_la-SCOREP_Mpi_Io.lo' libtool=yes 
libtool: compile:  mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src -I../../build-mpi/../src -DBACKEND_BUILD_MPI -DNOCROSS_BUILD -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -I../../build-mpi/../src/adapters/include -I../../build-mpi/../src/measurement/include -I../../build-mpi/../src/measurement/online_access -I../../build-mpi/../include -g -O2 -c ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Env.c  -fPIC -DPIC -o .libs/libscorep_adapter_mpi_c_event_la-SCOREP_Mpi_Env.o
/bin/sh ./libtool  --tag=CC   --mode=compile mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src  -I../../build-mpi/../src -DBACKEND_BUILD_MPI  -DNOCROSS_BUILD -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -I../../build-mpi/../src/adapters/include -I../../build-mpi/../src/measurement/include -I../../build-mpi/../src/measurement/online_access -I../../build-mpi/../include   -g -O2 -c -o libscorep_adapter_mpi_c_event_la-SCOREP_Mpi_Io.lo `test -f '../src/adapters/mpi/SCOREP_Mpi_Io.c' || echo '../../build-mpi/'`../src/adapters/mpi/SCOREP_Mpi_Io.c
libtool: compile:  mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src -I../../build-mpi/../src -DBACKEND_BUILD_MPI -DNOCROSS_BUILD -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -I../../build-mpi/../src/adapters/include -I../../build-mpi/../src/measurement/include -I../../build-mpi/../src/measurement/online_access -I../../build-mpi/../include -g -O2 -c ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Err.c  -fPIC -DPIC -o .libs/libscorep_adapter_mpi_c_event_la-SCOREP_Mpi_Err.o
\
#	source='../src/adapters/mpi/SCOREP_Mpi_Misc.c' object='libscorep_adapter_mpi_c_event_la-SCOREP_Mpi_Misc.lo' libtool=yes 
/bin/sh ./libtool  --tag=CC   --mode=compile mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src  -I../../build-mpi/../src -DBACKEND_BUILD_MPI  -DNOCROSS_BUILD -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -I../../build-mpi/../src/adapters/include -I../../build-mpi/../src/measurement/include -I../../build-mpi/../src/measurement/online_access -I../../build-mpi/../include   -g -O2 -c -o libscorep_adapter_mpi_c_event_la-SCOREP_Mpi_Misc.lo `test -f '../src/adapters/mpi/SCOREP_Mpi_Misc.c' || echo '../../build-mpi/'`../src/adapters/mpi/SCOREP_Mpi_Misc.c
libtool: compile:  mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src -I../../build-mpi/../src -DBACKEND_BUILD_MPI -DNOCROSS_BUILD -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -I../../build-mpi/../src/adapters/include -I../../build-mpi/../src/measurement/include -I../../build-mpi/../src/measurement/online_access -I../../build-mpi/../include -g -O2 -c ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Ext.c  -fPIC -DPIC -o .libs/libscorep_adapter_mpi_c_event_la-SCOREP_Mpi_Ext.o
libtool: compile:  mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src -I../../build-mpi/../src -DBACKEND_BUILD_MPI -DNOCROSS_BUILD -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -I../../build-mpi/../src/adapters/include -I../../build-mpi/../src/measurement/include -I../../build-mpi/../src/measurement/online_access -I../../build-mpi/../include -g -O2 -c ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c  -fPIC -DPIC -o .libs/libscorep_adapter_mpi_c_event_la-SCOREP_Mpi_Io.o
libtool: compile:  mpicc -std=c99 -DHAVE_CONFIG_H -I. -I../../build-mpi -I./../src -I../../build-mpi/../src -DBACKEND_BUILD_MPI -DNOCROSS_BUILD -I../src/utils/include -I../../build-mpi/../src/utils/include -I../../build-mpi/../vendor/common/src/utils/include -I../../build-mpi/../src/adapters/include -I../../build-mpi/../src/measurement/include -I../../build-mpi/../src/measurement/online_access -I../../build-mpi/../include -g -O2 -c ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Misc.c  -fPIC -DPIC -o .libs/libscorep_adapter_mpi_c_event_la-SCOREP_Mpi_Misc.o
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Cg.c:334:1: error: conflicting types for 'MPI_Group_excl'
 MPI_Group_excl( MPI_Group group, int n, SCOREP_MPI_CONST_DECL int* ranks, MPI_Group* newgroup )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Cg.c:44:
/usr/include/openmpi-x86_64/mpi.h:1451:44: note: previous declaration of 'MPI_Group_excl' was here
 OMPI_DECLSPEC  int MPI_Group_excl(MPI_Group group, int n, const int ranks[],
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Cg.c:371:1: error: conflicting types for 'MPI_Group_incl'
 MPI_Group_incl( MPI_Group group, int n, SCOREP_MPI_CONST_DECL int* ranks, MPI_Group* newgroup )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Cg.c:44:
/usr/include/openmpi-x86_64/mpi.h:1455:44: note: previous declaration of 'MPI_Group_incl' was here
 OMPI_DECLSPEC  int MPI_Group_incl(MPI_Group group, int n, const int ranks[],
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Cg.c:955:1: warning: 'MPI_Comm_errhandler_fn' is deprecated: MPI_Comm_errhandler_fn was deprecated in MPI-2.2; use MPI_Comm_errhandler_function instead [-Wdeprecated-declarations]
 MPI_Comm_create_errhandler( MPI_Comm_errhandler_fn* function, MPI_Errhandler* errhandler )
 ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Cg.c:1064:1: error: conflicting types for 'MPI_Comm_set_name'
 MPI_Comm_set_name( MPI_Comm comm, SCOREP_MPI_CONST_DECL char* comm_name )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Cg.c:44:
/usr/include/openmpi-x86_64/mpi.h:1287:44: note: previous declaration of 'MPI_Comm_set_name' was here
 OMPI_DECLSPEC  int MPI_Comm_set_name(MPI_Comm comm, const char *comm_name);
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Cg.c: In function 'MPI_Attr_delete':
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Cg.c:1111:9: warning: 'PMPI_Attr_delete' is deprecated (declared at /usr/include/openmpi-x86_64/mpi.h:1850): MPI_Attr_delete is superseded by MPI_Comm_delete_attr in MPI-2.0 [-Wdeprecated-declarations]
         return_val = PMPI_Attr_delete( comm, keyval );
         ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Cg.c:1118:9: warning: 'PMPI_Attr_delete' is deprecated (declared at /usr/include/openmpi-x86_64/mpi.h:1850): MPI_Attr_delete is superseded by MPI_Comm_delete_attr in MPI-2.0 [-Wdeprecated-declarations]
         return_val = PMPI_Attr_delete( comm, keyval );
         ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Cg.c: In function 'MPI_Attr_get':
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Cg.c:1145:9: warning: 'PMPI_Attr_get' is deprecated (declared at /usr/include/openmpi-x86_64/mpi.h:1852): MPI_Attr_get is superseded by MPI_Comm_get_attr in MPI-2.0 [-Wdeprecated-declarations]
         return_val = PMPI_Attr_get( comm, keyval, attribute_val, flag );
         ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Cg.c:1152:9: warning: 'PMPI_Attr_get' is deprecated (declared at /usr/include/openmpi-x86_64/mpi.h:1852): MPI_Attr_get is superseded by MPI_Comm_get_attr in MPI-2.0 [-Wdeprecated-declarations]
         return_val = PMPI_Attr_get( comm, keyval, attribute_val, flag );
         ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Cg.c: In function 'MPI_Attr_put':
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Cg.c:1179:9: warning: 'PMPI_Attr_put' is deprecated (declared at /usr/include/openmpi-x86_64/mpi.h:1875): MPI_Attr_put is superseded by MPI_Comm_set_attr in MPI-2.0 [-Wdeprecated-declarations]
         return_val = PMPI_Attr_put( comm, keyval, attribute_val );
         ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Cg.c:1186:9: warning: 'PMPI_Attr_put' is deprecated (declared at /usr/include/openmpi-x86_64/mpi.h:1875): MPI_Attr_put is superseded by MPI_Comm_set_attr in MPI-2.0 [-Wdeprecated-declarations]
         return_val = PMPI_Attr_put( comm, keyval, attribute_val );
         ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Cg.c: In function 'MPI_Keyval_create':
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Cg.c:1417:9: warning: 'PMPI_Keyval_create' is deprecated (declared at /usr/include/openmpi-x86_64/mpi.h:2162): MPI_Keyval_create is superseded by MPI_Comm_create_keyval in MPI-2.0 [-Wdeprecated-declarations]
         return_val = PMPI_Keyval_create( copy_fn, delete_fn, keyval, extra_state );
         ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Cg.c:1424:9: warning: 'PMPI_Keyval_create' is deprecated (declared at /usr/include/openmpi-x86_64/mpi.h:2162): MPI_Keyval_create is superseded by MPI_Comm_create_keyval in MPI-2.0 [-Wdeprecated-declarations]
         return_val = PMPI_Keyval_create( copy_fn, delete_fn, keyval, extra_state );
         ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Cg.c: In function 'MPI_Keyval_free':
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Cg.c:1451:9: warning: 'PMPI_Keyval_free' is deprecated (declared at /usr/include/openmpi-x86_64/mpi.h:2166): MPI_Keyval_free is superseded by MPI_Comm_free_keyval in MPI-2.0 [-Wdeprecated-declarations]
         return_val = PMPI_Keyval_free( keyval );
         ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Cg.c:1458:9: warning: 'PMPI_Keyval_free' is deprecated (declared at /usr/include/openmpi-x86_64/mpi.h:2166): MPI_Keyval_free is superseded by MPI_Comm_free_keyval in MPI-2.0 [-Wdeprecated-declarations]
         return_val = PMPI_Keyval_free( keyval );
         ^
make[3]: *** [libscorep_adapter_mpi_c_event_la-SCOREP_Mpi_Cg.lo] Error 1
make[3]: *** Waiting for unfinished jobs....
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:64:1: error: conflicting types for 'MPI_Allgather'
 MPI_Allgather( SCOREP_MPI_CONST_DECL void* sendbuf, int sendcount, MPI_Datatype sendtype, void* recvbuf, int recvcount, MPI_Datatype recvtype, MPI_Comm comm )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:44:
/usr/include/openmpi-x86_64/mpi.h:1163:44: note: previous declaration of 'MPI_Allgather' was here
 OMPI_DECLSPEC  int MPI_Allgather(const void *sendbuf, int sendcount, MPI_Datatype sendtype,
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:136:1: error: conflicting types for 'MPI_Allgatherv'
 MPI_Allgatherv( SCOREP_MPI_CONST_DECL void* sendbuf, int sendcount, MPI_Datatype sendtype, void* recvbuf, SCOREP_MPI_CONST_DECL int* recvcounts, SCOREP_MPI_CONST_DECL int* displs, MPI_Datatype recvtype, MPI_Comm comm )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:44:
/usr/include/openmpi-x86_64/mpi.h:1169:44: note: previous declaration of 'MPI_Allgatherv' was here
 OMPI_DECLSPEC  int MPI_Allgatherv(const void *sendbuf, int sendcount, MPI_Datatype sendtype,
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:222:1: error: conflicting types for 'MPI_Allreduce'
 MPI_Allreduce( SCOREP_MPI_CONST_DECL void* sendbuf, void* recvbuf, int count, MPI_Datatype datatype, MPI_Op op, MPI_Comm comm )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:44:
/usr/include/openmpi-x86_64/mpi.h:1177:44: note: previous declaration of 'MPI_Allreduce' was here
 OMPI_DECLSPEC  int MPI_Allreduce(const void *sendbuf, void *recvbuf, int count,
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:290:1: error: conflicting types for 'MPI_Alltoall'
 MPI_Alltoall( SCOREP_MPI_CONST_DECL void* sendbuf, int sendcount, MPI_Datatype sendtype, void* recvbuf, int recvcount, MPI_Datatype recvtype, MPI_Comm comm )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:44:
/usr/include/openmpi-x86_64/mpi.h:1181:44: note: previous declaration of 'MPI_Alltoall' was here
 OMPI_DECLSPEC  int MPI_Alltoall(const void *sendbuf, int sendcount, MPI_Datatype sendtype,
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:357:1: error: conflicting types for 'MPI_Alltoallv'
 MPI_Alltoallv( SCOREP_MPI_CONST_DECL void* sendbuf, SCOREP_MPI_CONST_DECL int* sendcounts, SCOREP_MPI_CONST_DECL int* sdispls, MPI_Datatype sendtype, void* recvbuf, SCOREP_MPI_CONST_DECL int* recvcounts, SCOREP_MPI_CONST_DECL int* rdispls, MPI_Datatype recvtype, MPI_Comm comm )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:44:
/usr/include/openmpi-x86_64/mpi.h:1187:44: note: previous declaration of 'MPI_Alltoallv' was here
 OMPI_DECLSPEC  int MPI_Alltoallv(const void *sendbuf, const int sendcounts[], const int sdispls[],
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:440:1: error: conflicting types for 'MPI_Alltoallw'
 MPI_Alltoallw( SCOREP_MPI_CONST_DECL void* sendbuf, SCOREP_MPI_CONST_DECL int sendcounts[], SCOREP_MPI_CONST_DECL int sdispls[], SCOREP_MPI_CONST_DECL MPI_Datatype sendtypes[], void* recvbuf, SCOREP_MPI_CONST_DECL int recvcounts[], SCOREP_MPI_CONST_DECL int rdispls[], SCOREP_MPI_CONST_DECL MPI_Datatype recvtypes[], MPI_Comm comm )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:44:
/usr/include/openmpi-x86_64/mpi.h:1193:44: note: previous declaration of 'MPI_Alltoallw' was here
 OMPI_DECLSPEC  int MPI_Alltoallw(const void *sendbuf, const int sendcounts[], const int sdispls[], const MPI_Datatype sendtypes[],
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:645:1: error: conflicting types for 'MPI_Exscan'
 MPI_Exscan( SCOREP_MPI_CONST_DECL void* sendbuf, void* recvbuf, int count, MPI_Datatype datatype, MPI_Op op, MPI_Comm comm )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:44:
/usr/include/openmpi-x86_64/mpi.h:1312:44: note: previous declaration of 'MPI_Exscan' was here
 OMPI_DECLSPEC  int MPI_Exscan(const void *sendbuf, void *recvbuf, int count,
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:706:1: error: conflicting types for 'MPI_Gather'
 MPI_Gather( SCOREP_MPI_CONST_DECL void* sendbuf, int sendcount, MPI_Datatype sendtype, void* recvbuf, int recvcount, MPI_Datatype recvtype, int root, MPI_Comm comm )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:44:
/usr/include/openmpi-x86_64/mpi.h:1409:44: note: previous declaration of 'MPI_Gather' was here
 OMPI_DECLSPEC  int MPI_Gather(const void *sendbuf, int sendcount, MPI_Datatype sendtype,
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:783:1: error: conflicting types for 'MPI_Gatherv'
 MPI_Gatherv( SCOREP_MPI_CONST_DECL void* sendbuf, int sendcount, MPI_Datatype sendtype, void* recvbuf, SCOREP_MPI_CONST_DECL int* recvcounts, SCOREP_MPI_CONST_DECL int* displs, MPI_Datatype recvtype, int root, MPI_Comm comm )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:44:
/usr/include/openmpi-x86_64/mpi.h:1415:44: note: previous declaration of 'MPI_Gatherv' was here
 OMPI_DECLSPEC  int MPI_Gatherv(const void *sendbuf, int sendcount, MPI_Datatype sendtype,
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:865:1: error: conflicting types for 'MPI_Reduce'
 MPI_Reduce( SCOREP_MPI_CONST_DECL void* sendbuf, void* recvbuf, int count, MPI_Datatype datatype, MPI_Op op, int root, MPI_Comm comm )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:44:
/usr/include/openmpi-x86_64/mpi.h:1580:44: note: previous declaration of 'MPI_Reduce' was here
 OMPI_DECLSPEC  int MPI_Reduce(const void *sendbuf, void *recvbuf, int count,
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:941:1: error: conflicting types for 'MPI_Reduce_scatter'
 MPI_Reduce_scatter( SCOREP_MPI_CONST_DECL void* sendbuf, void* recvbuf, SCOREP_MPI_CONST_DECL int* recvcounts, MPI_Datatype datatype, MPI_Op op, MPI_Comm comm )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:44:
/usr/include/openmpi-x86_64/mpi.h:1586:44: note: previous declaration of 'MPI_Reduce_scatter' was here
 OMPI_DECLSPEC  int MPI_Reduce_scatter(const void *sendbuf, void *recvbuf, const int recvcounts[],
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:1017:1: error: conflicting types for 'MPI_Reduce_scatter_block'
 MPI_Reduce_scatter_block( SCOREP_MPI_CONST_DECL void* sendbuf, void* recvbuf, int recvcount, MPI_Datatype datatype, MPI_Op op, MPI_Comm comm )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:44:
/usr/include/openmpi-x86_64/mpi.h:1590:44: note: previous declaration of 'MPI_Reduce_scatter_block' was here
 OMPI_DECLSPEC  int MPI_Reduce_scatter_block(const void *sendbuf, void *recvbuf, int recvcount,
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:1084:1: error: conflicting types for 'MPI_Scan'
 MPI_Scan( SCOREP_MPI_CONST_DECL void* sendbuf, void* recvbuf, int count, MPI_Datatype datatype, MPI_Op op, MPI_Comm comm )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:44:
/usr/include/openmpi-x86_64/mpi.h:1609:44: note: previous declaration of 'MPI_Scan' was here
 OMPI_DECLSPEC  int MPI_Scan(const void *sendbuf, void *recvbuf, int count,
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:1155:1: error: conflicting types for 'MPI_Scatter'
 MPI_Scatter( SCOREP_MPI_CONST_DECL void* sendbuf, int sendcount, MPI_Datatype sendtype, void* recvbuf, int recvcount, MPI_Datatype recvtype, int root, MPI_Comm comm )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:44:
/usr/include/openmpi-x86_64/mpi.h:1613:44: note: previous declaration of 'MPI_Scatter' was here
 OMPI_DECLSPEC  int MPI_Scatter(const void *sendbuf, int sendcount, MPI_Datatype sendtype,
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:1235:1: error: conflicting types for 'MPI_Scatterv'
 MPI_Scatterv( SCOREP_MPI_CONST_DECL void* sendbuf, SCOREP_MPI_CONST_DECL int* sendcounts, SCOREP_MPI_CONST_DECL int* displs, MPI_Datatype sendtype, void* recvbuf, int recvcount, MPI_Datatype recvtype, int root, MPI_Comm comm )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:44:
/usr/include/openmpi-x86_64/mpi.h:1619:44: note: previous declaration of 'MPI_Scatterv' was here
 OMPI_DECLSPEC  int MPI_Scatterv(const void *sendbuf, const int sendcounts[], const int displs[],
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:1319:1: error: conflicting types for 'MPI_Reduce_local'
 MPI_Reduce_local( SCOREP_MPI_CONST_DECL void* inbuf, void* inoutbuf, int count, MPI_Datatype datatype, MPI_Op op )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Coll.c:44:
/usr/include/openmpi-x86_64/mpi.h:1584:44: note: previous declaration of 'MPI_Reduce_local' was here
 OMPI_DECLSPEC  int MPI_Reduce_local(const void *inbuf, void *inoutbuf, int count,
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Ext.c:135:1: error: conflicting types for 'MPI_Get_count'
 MPI_Get_count( SCOREP_MPI_CONST_DECL MPI_Status* status, MPI_Datatype datatype, int* count )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Ext.c:44:
/usr/include/openmpi-x86_64/mpi.h:1422:44: note: previous declaration of 'MPI_Get_count' was here
 OMPI_DECLSPEC  int MPI_Get_count(const MPI_Status *status, MPI_Datatype datatype, int *count);
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Ext.c:169:1: error: conflicting types for 'MPI_Get_elements'
 MPI_Get_elements( SCOREP_MPI_CONST_DECL MPI_Status* status, MPI_Datatype datatype, int* count )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Ext.c:44:
/usr/include/openmpi-x86_64/mpi.h:1423:44: note: previous declaration of 'MPI_Get_elements' was here
 OMPI_DECLSPEC  int MPI_Get_elements(const MPI_Status *status, MPI_Datatype datatype, int *count);
                                            ^
make[3]: *** [libscorep_adapter_mpi_c_event_la-SCOREP_Mpi_Ext.lo] Error 1
make[3]: *** [libscorep_adapter_mpi_c_event_la-SCOREP_Mpi_Coll.lo] Error 1
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Misc.c: In function 'MPI_Address':
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Misc.c:73:9: warning: 'PMPI_Address' is deprecated (declared at /usr/include/openmpi-x86_64/mpi.h:1812): MPI_Address is superseded by MPI_Get_address in MPI-2.0 [-Wdeprecated-declarations]
         return_val = PMPI_Address( location, address );
         ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Misc.c:80:9: warning: 'PMPI_Address' is deprecated (declared at /usr/include/openmpi-x86_64/mpi.h:1812): MPI_Address is superseded by MPI_Get_address in MPI-2.0 [-Wdeprecated-declarations]
         return_val = PMPI_Address( location, address );
         ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Misc.c: At top level:
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Misc.c:166:1: error: conflicting types for 'MPI_Get_address'
 MPI_Get_address( SCOREP_MPI_CONST_DECL void* location, MPI_Aint* address )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Misc.c:45:
/usr/include/openmpi-x86_64/mpi.h:1421:44: note: previous declaration of 'MPI_Get_address' was here
 OMPI_DECLSPEC  int MPI_Get_address(const void *location, MPI_Aint *address);
                                            ^
make[3]: *** [libscorep_adapter_mpi_c_event_la-SCOREP_Mpi_Misc.lo] Error 1
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Err.c: In function 'MPI_Errhandler_create':
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Err.c:176:9: warning: 'PMPI_Errhandler_create' is deprecated (declared at /usr/include/openmpi-x86_64/mpi.h:1952): MPI_Errhandler_create is superseded by MPI_Comm_create_errhandler in MPI-2.0 [-Wdeprecated-declarations]
         return_val = PMPI_Errhandler_create( function, errhandler );
         ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Err.c:183:9: warning: 'PMPI_Errhandler_create' is deprecated (declared at /usr/include/openmpi-x86_64/mpi.h:1952): MPI_Errhandler_create is superseded by MPI_Comm_create_errhandler in MPI-2.0 [-Wdeprecated-declarations]
         return_val = PMPI_Errhandler_create( function, errhandler );
         ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Err.c: In function 'MPI_Errhandler_get':
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Err.c:244:9: warning: 'PMPI_Errhandler_get' is deprecated (declared at /usr/include/openmpi-x86_64/mpi.h:1957): MPI_Errhandler_get is superseded by MPI_Comm_get_errhandler in MPI-2.0 [-Wdeprecated-declarations]
         return_val = PMPI_Errhandler_get( comm, errhandler );
         ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Err.c:251:9: warning: 'PMPI_Errhandler_get' is deprecated (declared at /usr/include/openmpi-x86_64/mpi.h:1957): MPI_Errhandler_get is superseded by MPI_Comm_get_errhandler in MPI-2.0 [-Wdeprecated-declarations]
         return_val = PMPI_Errhandler_get( comm, errhandler );
         ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Err.c: In function 'MPI_Errhandler_set':
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Err.c:278:9: warning: 'PMPI_Errhandler_set' is deprecated (declared at /usr/include/openmpi-x86_64/mpi.h:1959): MPI_Errhandler_set is superseded by MPI_Comm_set_errhandler in MPI-2.0 [-Wdeprecated-declarations]
         return_val = PMPI_Errhandler_set( comm, errhandler );
         ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Err.c:285:9: warning: 'PMPI_Errhandler_set' is deprecated (declared at /usr/include/openmpi-x86_64/mpi.h:1959): MPI_Errhandler_set is superseded by MPI_Comm_set_errhandler in MPI-2.0 [-Wdeprecated-declarations]
         return_val = PMPI_Errhandler_set( comm, errhandler );
         ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:97:1: error: conflicting types for 'MPI_File_delete'
 MPI_File_delete( SCOREP_MPI_CONST_DECL char* filename, MPI_Info info )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:44:
/usr/include/openmpi-x86_64/mpi.h:1327:44: note: previous declaration of 'MPI_File_delete' was here
 OMPI_DECLSPEC  int MPI_File_delete(const char *filename, MPI_Info info);
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:471:1: error: conflicting types for 'MPI_File_open'
 MPI_File_open( MPI_Comm comm, SCOREP_MPI_CONST_DECL char* filename, int amode, MPI_Info info, MPI_File* fh )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:44:
/usr/include/openmpi-x86_64/mpi.h:1324:44: note: previous declaration of 'MPI_File_open' was here
 OMPI_DECLSPEC  int MPI_File_open(MPI_Comm comm, const char *filename, int amode,
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:675:1: error: conflicting types for 'MPI_File_set_view'
 MPI_File_set_view( MPI_File fh, MPI_Offset disp, MPI_Datatype etype, MPI_Datatype filetype, SCOREP_MPI_CONST_DECL char* datarep, MPI_Info info )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:44:
/usr/include/openmpi-x86_64/mpi.h:1335:44: note: previous declaration of 'MPI_File_set_view' was here
 OMPI_DECLSPEC  int MPI_File_set_view(MPI_File fh, MPI_Offset disp, MPI_Datatype etype,
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:743:1: error: conflicting types for 'MPI_Register_datarep'
 MPI_Register_datarep( SCOREP_MPI_CONST_DECL char* datarep, MPI_Datarep_conversion_function* read_conversion_fn, MPI_Datarep_conversion_function* write_conversion_fn, MPI_Datarep_extent_function* dtype_file_extent_fn, void* extra_state )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:44:
/usr/include/openmpi-x86_64/mpi.h:1594:44: note: previous declaration of 'MPI_Register_datarep' was here
 OMPI_DECLSPEC  int MPI_Register_datarep(const char *datarep,
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:894:1: error: conflicting types for 'MPI_File_iwrite'
 MPI_File_iwrite( MPI_File fh, SCOREP_MPI_CONST_DECL void* buf, int count, MPI_Datatype datatype, MPI_Request* request )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:44:
/usr/include/openmpi-x86_64/mpi.h:1362:44: note: previous declaration of 'MPI_File_iwrite' was here
 OMPI_DECLSPEC  int MPI_File_iwrite(MPI_File fh, const void *buf, int count,
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:928:1: error: conflicting types for 'MPI_File_iwrite_at'
 MPI_File_iwrite_at( MPI_File fh, MPI_Offset offset, SCOREP_MPI_CONST_DECL void* buf, int count, MPI_Datatype datatype, MPI_Request* request )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:44:
/usr/include/openmpi-x86_64/mpi.h:1350:44: note: previous declaration of 'MPI_File_iwrite_at' was here
 OMPI_DECLSPEC  int MPI_File_iwrite_at(MPI_File fh, MPI_Offset offset, const void *buf,
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:962:1: error: conflicting types for 'MPI_File_iwrite_shared'
 MPI_File_iwrite_shared( MPI_File fh, SCOREP_MPI_CONST_DECL void* buf, int count, MPI_Datatype datatype, MPI_Request* request )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:44:
/usr/include/openmpi-x86_64/mpi.h:1374:44: note: previous declaration of 'MPI_File_iwrite_shared' was here
 OMPI_DECLSPEC  int MPI_File_iwrite_shared(MPI_File fh, const void *buf, int count,
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:1407:1: error: conflicting types for 'MPI_File_write'
 MPI_File_write( MPI_File fh, SCOREP_MPI_CONST_DECL void* buf, int count, MPI_Datatype datatype, MPI_Status* status )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:44:
/usr/include/openmpi-x86_64/mpi.h:1356:44: note: previous declaration of 'MPI_File_write' was here
 OMPI_DECLSPEC  int MPI_File_write(MPI_File fh, const void *buf, int count,
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:1441:1: error: conflicting types for 'MPI_File_write_all'
 MPI_File_write_all( MPI_File fh, SCOREP_MPI_CONST_DECL void* buf, int count, MPI_Datatype datatype, MPI_Status* status )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:44:
/usr/include/openmpi-x86_64/mpi.h:1358:44: note: previous declaration of 'MPI_File_write_all' was here
 OMPI_DECLSPEC  int MPI_File_write_all(MPI_File fh, const void *buf, int count,
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:1475:1: error: conflicting types for 'MPI_File_write_all_begin'
 MPI_File_write_all_begin( MPI_File fh, SCOREP_MPI_CONST_DECL void* buf, int count, MPI_Datatype datatype )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:44:
/usr/include/openmpi-x86_64/mpi.h:1391:44: note: previous declaration of 'MPI_File_write_all_begin' was here
 OMPI_DECLSPEC  int MPI_File_write_all_begin(MPI_File fh, const void *buf, int count,
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:1509:1: error: conflicting types for 'MPI_File_write_all_end'
 MPI_File_write_all_end( MPI_File fh, SCOREP_MPI_CONST_DECL void* buf, MPI_Status* status )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:44:
/usr/include/openmpi-x86_64/mpi.h:1393:44: note: previous declaration of 'MPI_File_write_all_end' was here
 OMPI_DECLSPEC  int MPI_File_write_all_end(MPI_File fh, const void *buf, MPI_Status *status);
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:1543:1: error: conflicting types for 'MPI_File_write_at'
 MPI_File_write_at( MPI_File fh, MPI_Offset offset, SCOREP_MPI_CONST_DECL void* buf, int count, MPI_Datatype datatype, MPI_Status* status )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:44:
/usr/include/openmpi-x86_64/mpi.h:1344:44: note: previous declaration of 'MPI_File_write_at' was here
 OMPI_DECLSPEC  int MPI_File_write_at(MPI_File fh, MPI_Offset offset, const void *buf,
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:1577:1: error: conflicting types for 'MPI_File_write_at_all'
 MPI_File_write_at_all( MPI_File fh, MPI_Offset offset, SCOREP_MPI_CONST_DECL void* buf, int count, MPI_Datatype datatype, MPI_Status* status )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:44:
/usr/include/openmpi-x86_64/mpi.h:1346:44: note: previous declaration of 'MPI_File_write_at_all' was here
 OMPI_DECLSPEC  int MPI_File_write_at_all(MPI_File fh, MPI_Offset offset, const void *buf,
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:1611:1: error: conflicting types for 'MPI_File_write_at_all_begin'
 MPI_File_write_at_all_begin( MPI_File fh, MPI_Offset offset, SCOREP_MPI_CONST_DECL void* buf, int count, MPI_Datatype datatype )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:44:
/usr/include/openmpi-x86_64/mpi.h:1385:44: note: previous declaration of 'MPI_File_write_at_all_begin' was here
 OMPI_DECLSPEC  int MPI_File_write_at_all_begin(MPI_File fh, MPI_Offset offset, const void *buf,
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:1645:1: error: conflicting types for 'MPI_File_write_at_all_end'
 MPI_File_write_at_all_end( MPI_File fh, SCOREP_MPI_CONST_DECL void* buf, MPI_Status* status )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:44:
/usr/include/openmpi-x86_64/mpi.h:1387:44: note: previous declaration of 'MPI_File_write_at_all_end' was here
 OMPI_DECLSPEC  int MPI_File_write_at_all_end(MPI_File fh, const void *buf, MPI_Status *status);
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:1679:1: error: conflicting types for 'MPI_File_write_ordered'
 MPI_File_write_ordered( MPI_File fh, SCOREP_MPI_CONST_DECL void* buf, int count, MPI_Datatype datatype, MPI_Status* status )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:44:
/usr/include/openmpi-x86_64/mpi.h:1378:44: note: previous declaration of 'MPI_File_write_ordered' was here
 OMPI_DECLSPEC  int MPI_File_write_ordered(MPI_File fh, const void *buf, int count,
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:1713:1: error: conflicting types for 'MPI_File_write_ordered_begin'
 MPI_File_write_ordered_begin( MPI_File fh, SCOREP_MPI_CONST_DECL void* buf, int count, MPI_Datatype datatype )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:44:
/usr/include/openmpi-x86_64/mpi.h:1397:44: note: previous declaration of 'MPI_File_write_ordered_begin' was here
 OMPI_DECLSPEC  int MPI_File_write_ordered_begin(MPI_File fh, const void *buf, int count,
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:1747:1: error: conflicting types for 'MPI_File_write_ordered_end'
 MPI_File_write_ordered_end( MPI_File fh, SCOREP_MPI_CONST_DECL void* buf, MPI_Status* status )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:44:
/usr/include/openmpi-x86_64/mpi.h:1399:44: note: previous declaration of 'MPI_File_write_ordered_end' was here
 OMPI_DECLSPEC  int MPI_File_write_ordered_end(MPI_File fh, const void *buf, MPI_Status *status);
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:1781:1: error: conflicting types for 'MPI_File_write_shared'
 MPI_File_write_shared( MPI_File fh, SCOREP_MPI_CONST_DECL void* buf, int count, MPI_Datatype datatype, MPI_Status* status )
 ^
In file included from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi.h:32:0,
                 from ../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:44:
/usr/include/openmpi-x86_64/mpi.h:1370:44: note: previous declaration of 'MPI_File_write_shared' was here
 OMPI_DECLSPEC  int MPI_File_write_shared(MPI_File fh, const void *buf, int count,
                                            ^
../../build-mpi/../src/adapters/mpi/SCOREP_Mpi_Io.c:1856:1: warning: 'MPI_File_errhandler_fn' is deprecated: MPI_File_errhandler_fn was deprecated in MPI-2.2; use MPI_File_errhandler_function instead [-Wdeprecated-declarations]
 MPI_File_create_errhandler( MPI_File_errhandler_fn* function, MPI_Errhandler* errhandler )
 ^

================================================
Comment 9 Mukundan Ragavan 2014-03-10 17:54:20 EDT
Created attachment 872848 [details]
build_log_2014-03-10

build_log_2014-03-10
Comment 10 Orion Poplawski 2014-03-11 23:35:18 EDT
This turns out to be an openmpi 1.7.4 change triggering this.  openmpi 1.7.5 should fix some of this.  Once that is released (soon), I'll patch scorep to build against it.
Comment 11 Mukundan Ragavan 2014-03-12 11:19:54 EDT
No problem.
Comment 13 Mukundan Ragavan 2014-11-18 21:53:17 EST
Sorry, I missed this. Will review this tomorrow or the day after.
Comment 14 Orion Poplawski 2014-12-08 23:12:02 EST
ping?
Comment 15 Mukundan Ragavan 2014-12-09 21:20:58 EST
Hi! I am half way through this before I got distracted. I will post a review in a day or two. Apologies.
Comment 16 Mukundan Ragavan 2014-12-10 20:46:56 EST
Review - part 1

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: scorep : /usr/include/scorep/SCOREP_MetricPlugins.h scorep :
  /usr/include/scorep/SCOREP_MetricTypes.h scorep :
  /usr/include/scorep/SCOREP_PublicTypes.h scorep :
  /usr/include/scorep/SCOREP_Tau.h scorep : /usr/include/scorep/SCOREP_User.h
  scorep : /usr/include/scorep/SCOREP_User_Functions.h scorep :
  /usr/include/scorep/SCOREP_User_Types.h scorep :
  /usr/include/scorep/SCOREP_User_Variables.h scorep-mpich : /usr/include
  /mpich-x86_64/scorep/SCOREP_MetricPlugins.h scorep-mpich : /usr/include
  /mpich-x86_64/scorep/SCOREP_MetricTypes.h scorep-mpich : /usr/include/mpich-
  x86_64/scorep/SCOREP_PublicTypes.h scorep-mpich : /usr/include/mpich-
  x86_64/scorep/SCOREP_Tau.h scorep-mpich : /usr/include/mpich-
  x86_64/scorep/SCOREP_User.h scorep-mpich : /usr/include/mpich-
  x86_64/scorep/SCOREP_User_Functions.h scorep-mpich : /usr/include/mpich-
  x86_64/scorep/SCOREP_User_Types.h scorep-mpich : /usr/include/mpich-
  x86_64/scorep/SCOREP_User_Variables.h scorep-openmpi : /usr/include/openmpi-
  x86_64/scorep/SCOREP_MetricPlugins.h scorep-openmpi : /usr/include/openmpi-
  x86_64/scorep/SCOREP_MetricTypes.h scorep-openmpi : /usr/include/openmpi-
  x86_64/scorep/SCOREP_PublicTypes.h scorep-openmpi : /usr/include/openmpi-
  x86_64/scorep/SCOREP_Tau.h scorep-openmpi : /usr/include/openmpi-
  x86_64/scorep/SCOREP_User.h scorep-openmpi : /usr/include/openmpi-
  x86_64/scorep/SCOREP_User_Functions.h scorep-openmpi : /usr/include/openmpi-
  x86_64/scorep/SCOREP_User_Types.h scorep-openmpi : /usr/include/openmpi-
  x86_64/scorep/SCOREP_User_Variables.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
- Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages


---> Yeah... scorep-devel is probably needed.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or
     generated". 830 files have unknown license. Detailed output of
     licensecheck in
     /home/mukundan/ownCloud/pkg_reviews/scorep/1013836-scorep/licensecheck.txt


---> No red flags here.

[x]: License file installed when any subpackage combination is installed.


---> Please install the license file using %license macro instead of %doc. While the packaging guidelines are not updated yet, I am sure you are aware of the FPC disucssion.


[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/include/openmpi-x86_64,
     /usr/include/mpich-x86_64, /usr/share/doc/scorep

---> Please fix this.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[!]: Development files must be in a -devel package

---> This would need to be added to move the header files out of main package.

[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 102400 bytes in 16 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in scorep-doc
     , scorep-libs , scorep-mpich , scorep-mpich-libs , scorep-openmpi ,
     scorep-openmpi-libs

---> I think this is fine but I think this should be reviewed to be sure.

Dependency chain is

scorep ---> scorep-libs (Requires:       %{name}-libs%{?_isa} = %{version}-%{release})
scorep-mpich ---> scorep-mpich-libs (Requires:       %{name}-mpich-libs%{?_isa} = %{version}-%{release})
scorep-openmpi ---> scorep-openmpi-libs (Requires:       %{name}-openmpi-libs%{?_isa} = %{version}-%{release})

-doc is not an issue.


[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.


---> koji build looks good.

[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.
Comment 17 Mukundan Ragavan 2014-12-10 20:56:05 EST
Rpmlint
-------
Checking: scorep-1.3-1.fc22.x86_64.rpm
          scorep-doc-1.3-1.fc22.noarch.rpm
          scorep-libs-1.3-1.fc22.x86_64.rpm
          scorep-mpich-1.3-1.fc22.x86_64.rpm
          scorep-mpich-libs-1.3-1.fc22.x86_64.rpm
          scorep-openmpi-1.3-1.fc22.x86_64.rpm
          scorep-openmpi-libs-1.3-1.fc22.x86_64.rpm
          scorep-1.3-1.fc22.src.rpm


scorep.x86_64: E: devel-dependency binutils-devel

---> I am confused here - why are the -devel packages in Requires: here?
Requires:       binutils-devel
Requires:       cube-devel
Requires:       otf2-devel >= 1.4



scorep.x86_64: E: rpath-in-buildconfig /usr/bin/scorep-config lines ['209']
scorep-mpich.x86_64: E: rpath-in-buildconfig /usr/lib64/mpich/bin/scorep-config lines ['204']

---> I do not know how to solve this specific error (yet).

scorep.x86_64: W: no-manual-page-for-binary online-access-registry
scorep.x86_64: W: no-manual-page-for-binary scorep-backend-info
scorep.x86_64: W: no-manual-page-for-binary scorep
scorep.x86_64: W: no-manual-page-for-binary scorep-info
scorep.x86_64: W: no-manual-page-for-binary scorep-config
scorep.x86_64: W: no-manual-page-for-binary scorep-score
scorep-libs.x86_64: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
scorep-libs.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment

---> These can be ignored.

scorep-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libscorep_online_access_spp.so.2.0.0 exit@GLIBC_2.2.5
scorep-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libscorep_adapter_pomp_mgmt.so.2.0.0 exit@GLIBC_2.2.5
scorep-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libscorep_measurement.so.2.0.0 exit@GLIBC_2.2.5
scorep-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libscorep_adapter_compiler_mgmt.so.2.0.0 _exit@GLIBC_2.2.5
scorep-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libscorep_adapter_compiler_mgmt.so.2.0.0 exit@GLIBC_2.2.5
scorep-mpich-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/mpich/lib/libscorep_measurement.so.2.0.0 exit@GLIBC_2.2.5
scorep-mpich-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/mpich/lib/libscorep_online_access_spp.so.2.0.0 exit@GLIBC_2.2.5
scorep-mpich-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/mpich/lib/libscorep_adapter_pomp_mgmt.so.2.0.0 exit@GLIBC_2.2.5
scorep-mpich-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/mpich/lib/libscorep_online_access_mpp_mpi.so.0.0.0 exit@GLIBC_2.2.5
scorep-mpich-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/mpich/lib/libscorep_adapter_compiler_mgmt.so.2.0.0 _exit@GLIBC_2.2.5
scorep-mpich-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/mpich/lib/libscorep_adapter_compiler_mgmt.so.2.0.0 exit@GLIBC_2.2.5
scorep-mpich-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/mpich/lib/libscorep_adapter_mpi_event.so.0.0.0 exit@GLIBC_2.2.5

---> Rats! Communicate this upstream.

scorep.x86_64: W: spelling-error Summary(en_US) Scalable -> Salable, Callable, Calculable
scorep.x86_64: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
scorep-mpich.x86_64: W: spelling-error Summary(en_US) Scalable -> Salable, Callable, Calculable
scorep-mpich.x86_64: W: spelling-error %description -l en_US scalable -> salable, callable, calculable

---> These can be ignored.


---> There is a devel-file-in-non-devel-package a flood below.

Already talked about in the previous comment.

---> And, there is a flood of library-without-ldconfig-postun error.

The ldconfig scriptlet should be used for all subpackages that install shared libs.




scorep.x86_64: W: devel-file-in-non-devel-package /usr/include/scorep/SCOREP_User_Variables.h
scorep.x86_64: W: devel-file-in-non-devel-package /usr/include/scorep/SCOREP_User.h
scorep.x86_64: W: devel-file-in-non-devel-package /usr/bin/scorep-config
scorep.x86_64: W: devel-file-in-non-devel-package /usr/include/scorep/SCOREP_User_Types.h
scorep.x86_64: W: devel-file-in-non-devel-package /usr/include/scorep/SCOREP_Tau.h
scorep.x86_64: W: devel-file-in-non-devel-package /usr/include/scorep/SCOREP_MetricPlugins.h
scorep.x86_64: W: devel-file-in-non-devel-package /usr/include/scorep/SCOREP_User_Functions.h
scorep.x86_64: W: devel-file-in-non-devel-package /usr/include/scorep/SCOREP_PublicTypes.h
scorep.x86_64: W: devel-file-in-non-devel-package /usr/include/scorep/SCOREP_MetricTypes.h
scorep-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libscorep_thread_fork_join_omp_tpd.so
scorep-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libscorep_thread_fork_join_omp_ancestry.so
scorep-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libscorep_adapter_pomp_omp_event.so
scorep-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libscorep_adapter_pomp_omp_mgmt.so
scorep-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libscorep_online_access_spp.so
scorep-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libscorep_mutex_pthread_wrap.so
scorep-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libscorep_adapter_compiler_event.so
scorep-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libscorep_mpp_mockup.so
scorep-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libscorep_online_access_mockup.so
scorep-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libscorep_adapter_utils.so
scorep-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libscorep_thread_mockup.so
scorep-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libscorep_adapter_user_mgmt.so
scorep-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libscorep_adapter_pthread_mgmt.so
scorep-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libscorep_measurement.so
scorep-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libscorep_adapter_user_event.so
scorep-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libscorep_mutex_mockup.so
scorep-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libscorep_mutex_pthread_spinlock.so
scorep-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libscorep_mutex_omp.so
scorep-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libscorep_adapter_pomp_user_event.so
scorep-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libscorep_mutex_pthread.so
scorep-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libscorep_adapter_pomp_user_mgmt.so
scorep-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libscorep_thread_create_wait_pthread.so
scorep-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libscorep_adapter_compiler_mgmt.so
scorep-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libscorep_adapter_pthread_event.so
scorep-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libscorep_adapter_pomp_mgmt.so
scorep-mpich.x86_64: W: devel-file-in-non-devel-package /usr/include/mpich-x86_64/scorep/SCOREP_PublicTypes.h
scorep-mpich.x86_64: W: devel-file-in-non-devel-package /usr/include/mpich-x86_64/scorep/SCOREP_User_Types.h
scorep-mpich.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/bin/scorep-config
scorep-mpich.x86_64: W: devel-file-in-non-devel-package /usr/include/mpich-x86_64/scorep/SCOREP_User.h
scorep-mpich.x86_64: W: devel-file-in-non-devel-package /usr/include/mpich-x86_64/scorep/SCOREP_MetricTypes.h
scorep-mpich.x86_64: W: devel-file-in-non-devel-package /usr/include/mpich-x86_64/scorep/SCOREP_User_Functions.h
scorep-mpich.x86_64: W: devel-file-in-non-devel-package /usr/include/mpich-x86_64/scorep/SCOREP_MetricPlugins.h
scorep-mpich.x86_64: W: devel-file-in-non-devel-package /usr/include/mpich-x86_64/scorep/SCOREP_Tau.h
scorep-mpich.x86_64: W: devel-file-in-non-devel-package /usr/include/mpich-x86_64/scorep/SCOREP_User_Variables.h
scorep-mpich-libs.x86_64: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
scorep-mpich-libs.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment

scorep-mpich-libs.x86_64: W: no-documentation
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_adapter_pomp_user_event.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_adapter_pomp_user_event.so.2.0.0
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_adapter_user_mgmt.so
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_online_access_mpi_mockup.so.0.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_online_access_mpi_mockup.so.0.0.0
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_adapter_pomp_omp_event.so
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_adapter_user_event.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_adapter_user_event.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_adapter_pthread_mgmt.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_adapter_pthread_mgmt.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_adapter_pthread_event.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_adapter_pthread_event.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_adapter_pomp_user_mgmt.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_adapter_pomp_user_mgmt.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_thread_fork_join_omp_ancestry.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_thread_fork_join_omp_ancestry.so.2.0.0
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_online_access_mpi_mockup.so
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_adapter_compiler_mgmt.so
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_adapter_pomp_user_mgmt.so
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_thread_fork_join_omp_tpd.so
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_adapter_user_event.so
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_adapter_pomp_omp_event.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_adapter_pomp_omp_event.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_adapter_mpi_mgmt.so.0.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_adapter_mpi_mgmt.so.0.0.0
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_mpp_mpi.so
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_mutex_pthread_spinlock.so
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_mutex_pthread.so
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_mutex_pthread_spinlock.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_mutex_pthread_spinlock.so.2.0.0
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_measurement.so
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_mpp_mockup.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_mpp_mockup.so.2.0.0
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_adapter_pomp_omp_mgmt.so
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_adapter_pthread_mgmt.so
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_measurement.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_measurement.so.2.0.0
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_thread_fork_join_omp_ancestry.so
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_mutex_mockup.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_mutex_mockup.so.2.0.0
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_adapter_pomp_user_event.so
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_online_access_spp.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_online_access_spp.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_mutex_pthread_wrap.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_mutex_pthread_wrap.so.2.0.0
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_adapter_mpi_event.so
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_thread_mockup.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_thread_mockup.so.2.0.0
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_adapter_pomp_mgmt.so
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_adapter_compiler_event.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_adapter_compiler_event.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_mutex_omp.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_mutex_omp.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_thread_fork_join_omp_tpd.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_thread_fork_join_omp_tpd.so.2.0.0
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_online_access_mpp_mpi.so
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_adapter_pthread_event.so
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_adapter_pomp_omp_mgmt.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_adapter_pomp_omp_mgmt.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_adapter_pomp_mgmt.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_adapter_pomp_mgmt.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_adapter_user_mgmt.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_adapter_user_mgmt.so.2.0.0
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_adapter_compiler_event.so
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_mutex_pthread_wrap.so
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_thread_create_wait_pthread.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_thread_create_wait_pthread.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_online_access_mockup.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_online_access_mockup.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_mpp_mpi.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_mpp_mpi.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_online_access_mpp_mpi.so.0.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_online_access_mpp_mpi.so.0.0.0
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_adapter_mpi_mgmt.so
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_online_access_spp.so
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_mpp_mockup.so
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_adapter_utils.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_adapter_utils.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_mutex_pthread.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_mutex_pthread.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_adapter_compiler_mgmt.so.2.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_adapter_compiler_mgmt.so.2.0.0
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_thread_create_wait_pthread.so
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_mutex_mockup.so
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_thread_mockup.so
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_online_access_mockup.so
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_adapter_mpi_event.so.0.0.0
scorep-mpich-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich/lib/libscorep_adapter_mpi_event.so.0.0.0
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_adapter_utils.so
scorep-mpich-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mpich/lib/libscorep_mutex_omp.so
scorep-openmpi.x86_64: W: spelling-error Summary(en_US) Scalable -> Salable, Callable, Calculable
scorep-openmpi.x86_64: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
scorep-openmpi.x86_64: W: devel-file-in-non-devel-package /usr/include/openmpi-x86_64/scorep/SCOREP_MetricTypes.h
scorep-openmpi.x86_64: W: devel-file-in-non-devel-package /usr/include/openmpi-x86_64/scorep/SCOREP_PublicTypes.h
scorep-openmpi.x86_64: W: devel-file-in-non-devel-package /usr/include/openmpi-x86_64/scorep/SCOREP_User_Variables.h
scorep-openmpi.x86_64: W: devel-file-in-non-devel-package /usr/include/openmpi-x86_64/scorep/SCOREP_User.h
scorep-openmpi.x86_64: W: devel-file-in-non-devel-package /usr/include/openmpi-x86_64/scorep/SCOREP_Tau.h
scorep-openmpi.x86_64: W: devel-file-in-non-devel-package /usr/include/openmpi-x86_64/scorep/SCOREP_MetricPlugins.h
scorep-openmpi.x86_64: W: devel-file-in-non-devel-package /usr/include/openmpi-x86_64/scorep/SCOREP_User_Types.h
scorep-openmpi.x86_64: W: devel-file-in-non-devel-package /usr/include/openmpi-x86_64/scorep/SCOREP_User_Functions.h
scorep-openmpi.x86_64: E: rpath-in-buildconfig /usr/lib64/openmpi/bin/scorep-config lines ['205']
scorep-openmpi.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/bin/scorep-config
scorep-openmpi-libs.x86_64: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
scorep-openmpi-libs.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
scorep-openmpi-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/openmpi/lib/libscorep_measurement.so.2.0.0 exit@GLIBC_2.2.5
scorep-openmpi-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/openmpi/lib/libscorep_online_access_spp.so.2.0.0 exit@GLIBC_2.2.5
scorep-openmpi-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/openmpi/lib/libscorep_adapter_pomp_mgmt.so.2.0.0 exit@GLIBC_2.2.5
scorep-openmpi-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/openmpi/lib/libscorep_adapter_mpi_event.so.0.0.0 exit@GLIBC_2.2.5
scorep-openmpi-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/openmpi/lib/libscorep_online_access_mpp_mpi.so.0.0.0 exit@GLIBC_2.2.5
scorep-openmpi-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/openmpi/lib/libscorep_adapter_compiler_mgmt.so.2.0.0 _exit@GLIBC_2.2.5
scorep-openmpi-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/openmpi/lib/libscorep_adapter_compiler_mgmt.so.2.0.0 exit@GLIBC_2.2.5
scorep-openmpi-libs.x86_64: W: no-documentation
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_adapter_mpi_mgmt.so
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_mutex_omp.so
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_mutex_mockup.so
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_adapter_shmem_mgmt.so.0.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_adapter_shmem_mgmt.so.0.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_measurement.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_measurement.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_adapter_shmem_event.so.0.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_adapter_shmem_event.so.0.0.0
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_thread_mockup.so
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_online_access_spp.so
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_mutex_mockup.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_mutex_mockup.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_online_access_spp.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_online_access_spp.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_online_access_mockup.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_online_access_mockup.so.2.0.0
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_online_access_mockup.so
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_thread_create_wait_pthread.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_thread_create_wait_pthread.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_mpp_mockup.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_mpp_mockup.so.2.0.0
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_adapter_utils.so
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_adapter_pomp_omp_mgmt.so
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_adapter_compiler_event.so
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_mutex_pthread_wrap.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_mutex_pthread_wrap.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_adapter_pomp_omp_mgmt.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_adapter_pomp_omp_mgmt.so.2.0.0
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_adapter_mpi_event.so
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_adapter_pomp_mgmt.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_adapter_pomp_mgmt.so.2.0.0
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_online_access_mpp_mpi.so
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_online_access_mpi_mockup.so.0.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_online_access_mpi_mockup.so.0.0.0
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_adapter_compiler_mgmt.so
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_online_access_mpi_mockup.so
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_adapter_mpi_event.so.0.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_adapter_mpi_event.so.0.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_thread_fork_join_omp_ancestry.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_thread_fork_join_omp_ancestry.so.2.0.0
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_thread_fork_join_omp_tpd.so
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_mutex_pthread.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_mutex_pthread.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_adapter_pthread_mgmt.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_adapter_pthread_mgmt.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_thread_mockup.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_thread_mockup.so.2.0.0
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_adapter_pomp_user_mgmt.so
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_thread_fork_join_omp_ancestry.so
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_adapter_shmem_event.so
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_thread_create_wait_pthread.so
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_adapter_pthread_event.so
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_adapter_user_mgmt.so
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_adapter_pomp_mgmt.so
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_adapter_shmem_mgmt.so
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_mutex_pthread_spinlock.so
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_online_access_mpp_mpi.so.0.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_online_access_mpp_mpi.so.0.0.0
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_mpp_mockup.so
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_mutex_pthread_spinlock.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_mutex_pthread_spinlock.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_adapter_user_event.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_adapter_user_event.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_adapter_user_mgmt.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_adapter_user_mgmt.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_mpp_mpi.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_mpp_mpi.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_adapter_pomp_user_mgmt.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_adapter_pomp_user_mgmt.so.2.0.0
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_adapter_user_event.so
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_adapter_utils.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_adapter_utils.so.2.0.0
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_mutex_pthread_wrap.so
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_adapter_pthread_mgmt.so
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_adapter_compiler_mgmt.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_adapter_compiler_mgmt.so.2.0.0
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_adapter_pomp_omp_event.so
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_mutex_omp.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_mutex_omp.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_thread_fork_join_omp_tpd.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_thread_fork_join_omp_tpd.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_adapter_pomp_omp_event.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_adapter_pomp_omp_event.so.2.0.0
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_measurement.so
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_adapter_pomp_user_event.so
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_adapter_pomp_user_event.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_adapter_pomp_user_event.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_adapter_compiler_event.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_adapter_compiler_event.so.2.0.0
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_mpp_shmem.so
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_mutex_pthread.so
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_adapter_pthread_event.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_adapter_pthread_event.so.2.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_mpp_shmem.so.0.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_mpp_shmem.so.0.0.0
scorep-openmpi-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/openmpi/lib/libscorep_mpp_mpi.so
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libscorep_adapter_mpi_mgmt.so.0.0.0
scorep-openmpi-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libscorep_adapter_mpi_mgmt.so.0.0.0
scorep.src: W: spelling-error Summary(en_US) Scalable -> Salable, Callable, Calculable
scorep.src: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
scorep.src:117: W: configure-without-libdir-spec
8 packages and 0 specfiles checked; 130 errors, 157 warnings.
Comment 18 Mukundan Ragavan 2014-12-10 20:58:57 EST
Created attachment 967020 [details]
rpmlint output

Complete rpmlint output with comments. Part of the the file is already posted in previous comments.
Comment 19 Mukundan Ragavan 2014-12-10 21:05:46 EST
Actually, i take back my complaint about -devel subpackage in light of earlier comments. I forgot about that when I posted my review.
Comment 20 Mukundan Ragavan 2014-12-10 21:07:26 EST
The rpath issue is also fine as discussed earlier, but this should probably be looked at closely.

scorep-mpich-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libscorep_adapter_pomp_user_event.so.2.0.0 /usr/lib64/mpich/lib/libscorep_adapter_utils.so.2
scorep-mpich-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libscorep_adapter_pomp_user_event.so.2.0.0 /lib64/libz.so.1
scorep-mpich-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libscorep_adapter_pomp_user_event.so.2.0.0 /lib64/libdl.so.2
scorep-mpich-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libscorep_adapter_pomp_user_event.so.2.0.0 /lib64/libpapi.so.5.4.0.0
scorep-mpich-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libscorep_adapter_pomp_user_event.so.2.0.0 /lib64/libotf2.so.5
scorep-mpich-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libscorep_adapter_pomp_user_event.so.2.0.0 /lib64/libcube4w.so.4
scorep-mpich-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libscorep_adapter_pomp_user_event.so.2.0.0 /lib64/libcubewriter4.so.4
scorep-mpich-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libscorep_adapter_pomp_user_event.so.2.0.0 /lib64/libm.so.6
scorep-mpich-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libscorep_online_access_mpi_mockup.so.0.0.0 /usr/lib64/mpich/lib/libmpich.so.12
scorep-mpich-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libscorep_online_access_mpi_mockup.so.0.0.0 /usr/lib64/mpich/lib/libopa.so.1
scorep-mpich-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libscorep_online_access_mpi_mockup.so.0.0.0 /usr/lib64/mpich/lib/libmpl.so.1
scorep-mpich-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libscorep_online_access_mpi_mockup.so.0.0.0 /lib64/librt.so.1
scorep-mpich-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libscorep_online_access_mpi_mockup.so.0.0.0 /lib64/libpthread.so.0
Comment 21 Orion Poplawski 2014-12-12 23:36:54 EST
- I don't want to use %license.  It's mainly target at cloud packages (which this is not) and complicates the spec for EPEL6 (which I want).

[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/include/openmpi-x86_64,
     /usr/include/mpich-x86_64, /usr/share/doc/scorep

---> Please fix this.

# rpm -qf /usr/include/openmpi-x86_64 /usr/include/mpich-x86_64 /usr/share/doc/scorep | sort -u
mpich-devel-3.0.4-4.fc20.x86_64
openmpi-devel-1.7.3-1.fc20.x86_64
scorep-1.3-1.fc20.x86_64

so we should be good.

-----
 
[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in scorep-doc
     , scorep-libs , scorep-mpich , scorep-mpich-libs , scorep-openmpi ,
     scorep-openmpi-libs

---> I think this is fine but I think this should be reviewed to be sure.

- I want people to be able to install docs separately.
- scorep-libs is specifically designed for just runtime use
- the mpi packages are independent of the serial packages

-----

scorep.x86_64: E: rpath-in-buildconfig /usr/bin/scorep-config lines ['209']
scorep-mpich.x86_64: E: rpath-in-buildconfig /usr/lib64/mpich/bin/scorep-config lines ['204']

---> I do not know how to solve this specific error (yet).

This is matching the string "rpath" in this files.  Might be nice to get rid of, but really useful in general for the project.

----

shared-lib-calls-exit - I probably have brought this up with upstream, but would have to search for it.

-----

scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich/lib/libscorep_adapter_pomp_user_event.so.2.0.0

cannot run ldconfig for the mpi packages - the libraries are not in the ld path.

----

scorep-mpich-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libscorep_online_access_mpi_mockup.so.0.0.0 /lib64/libpthread.so.0

I brought these up with upstream, but they felt it would be too much work to fix.  I'm inclined to agree, although I do try to reduce overlinkage when I can.
Comment 22 Mukundan Ragavan 2014-12-13 15:48:34 EST
(In reply to Orion Poplawski from comment #21)
> - I don't want to use %license.  It's mainly target at cloud packages (which
> this is not) and complicates the spec for EPEL6 (which I want).

Well, I am confused here. The FPC ticket may have been for cloud, sure, but the "mother" ticket was far more generic.

As for EPEL6 would it not be possible to add a %if flag?

At some point, you will probably change the spec anyway, no?

Just to be clear, I do not see this as a blocker - just seeking explanation.


> 
> [x]: Package must own all directories that it creates.
>      Note: Directories without known owners: /usr/include/openmpi-x86_64,
>      /usr/include/mpich-x86_64, /usr/share/doc/scorep
> 
> ---> Please fix this.
> 
> # rpm -qf /usr/include/openmpi-x86_64 /usr/include/mpich-x86_64
> /usr/share/doc/scorep | sort -u
> mpich-devel-3.0.4-4.fc20.x86_64
> openmpi-devel-1.7.3-1.fc20.x86_64
> scorep-1.3-1.fc20.x86_64
> 
> so we should be good.

I suppose so.

> 
> -----
>  
> [?]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in scorep-doc
>      , scorep-libs , scorep-mpich , scorep-mpich-libs , scorep-openmpi ,
>      scorep-openmpi-libs
> 
> ---> I think this is fine but I think this should be reviewed to be sure.
> 
> - I want people to be able to install docs separately.
> - scorep-libs is specifically designed for just runtime use
> - the mpi packages are independent of the serial packages
> 

No issues here.

> -----
> 
> scorep.x86_64: E: rpath-in-buildconfig /usr/bin/scorep-config lines ['209']
> scorep-mpich.x86_64: E: rpath-in-buildconfig
> /usr/lib64/mpich/bin/scorep-config lines ['204']
> 
> ---> I do not know how to solve this specific error (yet).
> 
> This is matching the string "rpath" in this files.  Might be nice to get rid
> of, but really useful in general for the project.
> 

I have no problems with this either.

> ----
> 
> shared-lib-calls-exit - I probably have brought this up with upstream, but
> would have to search for it.
> 

Actually, you have already talked about this in comment #5. "Okaying" this as well.

> -----
> 
> scorep-mpich-libs.x86_64: E: library-without-ldconfig-postin
> /usr/lib64/mpich/lib/libscorep_adapter_pomp_user_event.so.2.0.0
> 
> cannot run ldconfig for the mpi packages - the libraries are not in the ld
> path.
> 

Looking at it again, I misread this. Sorry. This is fine.

> ----
> 
> scorep-mpich-libs.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/mpich/lib/libscorep_online_access_mpi_mockup.so.0.0.0
> /lib64/libpthread.so.0
> 
> I brought these up with upstream, but they felt it would be too much work to
> fix.  I'm inclined to agree, although I do try to reduce overlinkage when I
> can.


Alright. This would not be a terrible problem I suppose.
Comment 23 Orion Poplawski 2014-12-13 23:13:05 EST
(In reply to Mukundan Ragavan from comment #22)
> (In reply to Orion Poplawski from comment #21)
> > - I don't want to use %license.  It's mainly target at cloud packages (which
> > this is not) and complicates the spec for EPEL6 (which I want).
> 
> Well, I am confused here. The FPC ticket may have been for cloud, sure, but
> the "mother" ticket was far more generic.
> 
> As for EPEL6 would it not be possible to add a %if flag?
> 
> At some point, you will probably change the spec anyway, no?
> 
> Just to be clear, I do not see this as a blocker - just seeking explanation.

I just don't see the gain worth the pain of confusing conditionals in the spec.  In any case the guideline is a suggestion, not a must.  Once all supported EL versions support %license, I'll happily use it.
Comment 24 Mamoru TASAKA 2014-12-13 23:33:16 EST
(In reply to Orion Poplawski from comment #23)
> I just don't see the gain worth the pain of confusing conditionals in the
> spec.  In any case the guideline is a suggestion, not a must.  Once all
> supported EL versions support %license, I'll happily use it.

https://access.redhat.com/support/policy/updates/errata

seems to say that the end of RHEL 6 is 2023 - (the time Fedora 39 is being
developed?) You means that you will not use %license until 2023? (RHEL support period is much longer than Fedora - please think of Fedora packaging first)
Comment 25 Mamoru TASAKA 2014-12-13 23:35:34 EST
I am not saying that %license is mandatory, however highly recommended, and the fact "because EPEL6 does not support it) is very weak reasoning.
Comment 26 Orion Poplawski 2014-12-13 23:37:54 EST
Yes - for packages that there is no clear benefit for using %license, i.e. packages that aren't core components of size sensitive products.  Unless there is some other compelling use for %license that I am not aware of?
Comment 27 Mamoru TASAKA 2014-12-13 23:48:48 EST
The main reason using %license rather %doc is that (as written in the ticket and some other) %license files is to be included even when --nodoc is explicity specified. As including license text in the binary rpm is almost MUST, it is much preferable that such license text is to be installed at any option.

Actually personally I was against using %doc to license text - because it must be always installed and that --nodoc does not include it must be avoided for license files. In such sense license text is not just doc.
Comment 28 Mamoru TASAKA 2014-12-13 23:57:45 EST
So %license means that we explicitly distinguish license file with other %doc and we ensure that it is always included as normal files to comply with license issue - size issue or so is second or third matter.
Comment 29 Orion Poplawski 2014-12-14 00:32:51 EST
Thanks, somehow I ended up focusing on the other discussion around this.

Spec URL: http://www.cora.nwra.com/~orion/fedora/scorep.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/scorep-1.3-2.fc20.src.rpm

* Sat Dec 13 2014 Orion Poplawski <orion@cora.nwra.com> - 1.3-2
- Use %%license
Comment 30 Mukundan Ragavan 2014-12-14 12:10:44 EST
Thank you Mamoru Tasaka for weighing in and for the explanation. Most clear.

With that resolved, I have no further objections. 


Package APPROVED.
Comment 31 Orion Poplawski 2014-12-15 10:57:07 EST
New Package SCM Request
=======================
Package Name: scorep
Short Description: Scalable Performance Measurement Infrastructure for Parallel Codes
Upstream URL: http://www.vi-hps.org/projects/score-p/
Owners: orion
Branches: f21 f20 epel7 el6
InitialCC:
Comment 32 Gwyn Ciesla 2014-12-15 11:28:52 EST
Git done (by process-git-requests).
Comment 33 Orion Poplawski 2014-12-15 22:39:45 EST
Checked in and built.  Thanks everyone!

Note You need to log in before you can comment on or make changes to this bug.